GET api/role/{id}/documentfromplaceholder?placeholderType={placeholderType}&placeholderSourceType={placeholderSourceType}&groupId={groupId}&documentSubType={documentSubType}
Get a single DocumentPlaceholder which is the 'slot' the particular document of type+source exists within. Processes this role API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Role id |
integer |
Required |
| placeholderType |
Which type of document placeholder 'slot' is this |
string |
Required |
| placeholderSourceType |
Where did the document come from to fit into the placeholder 'slot' |
string |
Required |
| groupId |
Optional group id to filter placeholder for a specific group relating to this role |
integer |
None. |
| documentSubType |
Document sub type to filter by in the document placeholder. |
DocumentSubType |
Default value is TenancyAgreement |
Body Parameters
None.
Response Information
Resource Description
The response returned after the operation completes.
DocumentPlaceholderDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| Description |
The description value. |
string |
None. |
| DocumentPlaceholderType |
The document placeholder type value. |
EnumDataContract |
None. |
| DocumentPlaceholderSourceType |
The document placeholder source type value. |
EnumDataContract |
None. |
| Document |
The document value. |
DocumentDataContract |
None. |
| DocumentType |
The document type value. |
EnumDataContract |
None. |
| DocumentSubType |
The document sub type value. |
EnumDataContract |
None. |
| GroupId |
The unique identifier of the related group resource. |
integer |
None. |
| LastUpdated |
The last updated, expressed as a date and time. |
date |
None. |
| CreatedDate |
The created date, expressed as a date and time. |
date |
None. |
| CreatedBy |
The created by value. |
CreatedByDataContract |
None. |
| Id |
The unique identifier of this resource. |
integer |
None. |
Response Formats
application/json
Sample not available.
text/json
Sample not available.